<mat-form-field class="dice--new" *ngIf="autocompleteForm">
  <mat-label translate>startup.createRoom.dices.placeholder</mat-label>
  <input (blur)="onInputBlur()" type="number" matInput [formControl]="autocompleteForm" [matAutocomplete]="auto">
  <mat-icon *ngIf="autocompleteForm.value" class="icon--pointer" matSuffix (click)="delete.emit()">delete</mat-icon>

  <mat-autocomplete #auto="matAutocomplete" (optionSelected)="saveSelectedOption($event)">
    <mat-option *ngFor="let option of filteredDices | async" [value]="option">
      {{dicePrefix}}{{option}}
    </mat-option>
  </mat-autocomplete>

</mat-form-field>